Bug 1302048 - LUKS password prompt not visible with rhgb
LUKS password prompt not visible with rhgb
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 11:10 EST by Randall
Modified: 2016-12-20 13:13 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:13:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randall 2016-01-26 11:10:54 EST
Description: the LUKS password prompt for my encrypted partition is not visible when booting if rhgb is used with the kernel.


Kernel Version: 4.3.3-301.fc23.x86_64 (and at least some others after 4.2.7-300.fc23.x86_64)


How reproducible: No idea. Others seem to have reported this issue, but I'm not certain if this affects everyone with my setup.


Steps to Reproduce:
1. Encrypt a primary partition (like '/') using LUKS. Setup appropriately for boot.
2. Edit your bootloader configuration to invoke the linux kernel with "rhgb".
3. Reboot.


Actual results: The system appears to be starting up like normal, even displaying the same (unrelated) warning messages I always receive. However, I am never prompted for a LUKS password.


Expected results: The system should display a prompt for a LUKS password.


Additional Information:

When booting without the "rhgb" line, I am prompted like normal. I just don't get the pretty looking load screen.

This problem has persisted through at least the past few kernel upgrades, but it hasn't always existed. I know for a fact that this problem did not exist when I initially installed Fedora 23 with kernel 4.2.7-300.fc23.x86_64.

Not sure if this is relevant, but I have a few (completely unrelated) warning messages that appear on boot. I'm wondering if the act of displaying these errors are affecting the visibility of the LUKS prompt.

If you require any additional information, let me know. I'm also open to testing  anything on my setup.
Comment 1 Fedora End Of Life 2016-11-24 10:13:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:13:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.